{
  "schema_version": "1.4.0",
  "id": "GHSA-r59j-864f-vpv5",
  "modified": "2025-04-11T03:38:07Z",
  "published": "2022-05-14T02:45:25Z",
  "aliases": [
    "CVE-2010-1519"
  ],
  "details": "Multiple integer overflows in glpng.c in glpng 1.45 allow context-dependent attackers to execute arbitrary code via a crafted PNG image, related to (1) the pngLoadRawF function and (2) the pngLoadF function, leading to heap-based buffer overflows.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-1519"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40354"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2010-87"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:179"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/513022/100/0/threaded"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-16T15:14:00Z"
  }
}